#include <bits/stdc++.h>
using namespace std;
bool opadajuce (const int &a, const int &b)
{
    return a>=b;
}
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int t, n, k;
    cin>>t>>n>>k;
    vector <int> niz(n);
    for (int i=0; i<n; i++)
    {
        cin>>niz[i];
    }
    sort (niz.begin(), niz.end());
    bool f=true;
    int maxtrn=0;
    for (int i=0; i<n; i++)
    {
        if (niz[i]>=maxtrn) maxtrn++;
        else maxtrn--;
    }
    sort (niz.begin(), niz.end(), opadajuce);
    int mintrn=0;
    for (int i=0; i<n; i++)
    {
        if (niz[i]>=mintrn) mintrn++;
        else mintrn--;
    }
    if (k<=maxtrn && k>=mintrn)
    {
        cout<<"DA"<<endl;
    }
    else cout<<"NE"<<endl;
    return 0;
}